## org.eclipse.emf.ecoretools.diagram.view.factories
Class EPackageViewFactory

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.view.factories.DiagramViewFactory
          org.eclipse.emf.ecoretools.diagram.view.factories.EPackageViewFactory

All Implemented Interfaces:
  org.eclipse.gmf.runtime.diagram.core.view.factories.DiagramFactory

    public class EPackageViewFactory

extends org.eclipse.gmf.runtime.diagram.ui.view.factories.DiagramViewFactory

Constructor Summary
`EPackageViewFactory()`

Method Summary
`protected java.util.List` `createStyles(org.eclipse.gmf.runtime.notation.View view)`
`protected org.eclipse.gmf.runtime.notation.MeasurementUnit` `getMeasurementUnit()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.DiagramViewFactory
`createDiagram, decorateView, getPreferencesHint, getViewService, initializeFromPreferences, setPreferencesHint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPackageViewFactory

    public EPackageViewFactory()

Method Detail

### createStyles

    protected java.util.List createStyles(org.eclipse.gmf.runtime.notation.View view)

  Overrides:
    `createStyles` in class `org.eclipse.gmf.runtime.diagram.ui.view.factories.DiagramViewFactory`

### getMeasurementUnit

    protected org.eclipse.gmf.runtime.notation.MeasurementUnit getMeasurementUnit()

  Overrides:
    `getMeasurementUnit` in class `org.eclipse.gmf.runtime.diagram.ui.view.factories.DiagramViewFactory`

Copyright 2007 Anyware Technologies. All Rights Reserved.